# $NetBSD: MAKEDEV.conf,v 1.6 2007/12/10 18:17:48 garbled Exp $

all_md)
	makedev wscons sd0 sd1 sd2 st0 st1 cd0 cd1 wd0 wd1 fd0 fd1
	makedev ss0 ch0 uk0 uk1
	makedev mlx0 ld0 ld1 ld2 ld3
	makedev tty00 tty01 tty10 tty11
	makedev usbs ttyCZ0 ttyCY0 audio
	makedev music rmidi0 rmidi1 rmidi2 rmidi3 rmidi4 rmidi5 rmidi6 rmidi7
	makedev nvram apm adb grf0 openfirm
	makedev scsibus0 scsibus1 scsibus2 scsibus3
	makedev ses0 ses1 ses2 ses3
	makedev isdns
	makedev pci0 pci1 pci2 pci3 pci4 pci5 pci6 pci7
	makedev altq sysmon bktr radio kttcp
	makedev lpt0 lpt1 lpt2 tun0 tun1
	makedev speaker joy0 joy1 satlink0
	makedev xlcom0
	makedev cfs
	;;

floppy)
	makedev std sd0 sd1 sd2 tty00 tty01 tty10 tty11 opty
	makedev st0 st1 cd0 cd1 wd0 wd1 md0 fd0 fd1
	makedev ttyE0 wsmouse0 wskbd0 ttyEcfg
	makedev raid0 raid1 raid2 raid3 raid4 raid5 raid6 raid7
	;;

tty1[0-9])
	# Mac uses special mapping - tty0[01] are the zstty ports,
	# tty1? are 'com' ports; for 'com' ports, we need to start
	# at correct offset, i.e. substract 10
	ounit=${i#tty}
	ounit=$(($ounit + 0))
	if [ $ounit -lt 10 ]; then
		unit=0$ounit
	else
		unit=$ounit
	fi
	ounit=$(($ounit - 10))
	mkdev tty$unit c 45 $(($ounit + $dialin ))      "" "" $u_uucp
	mkdev dty$unit c 45 $(($ounit + $dialout))      "" "" $u_uucp
	;;

xlcom*)
	unit=${i#xlcom}
	mkdev xlcom$unit c 99 $unit "" "" $u_uucp
	;;

ramdisk)
	makedev md0 floppy
	;;
